﻿CREATE TABLE [dbo].[Data.Application.Job] (
    [Id]                                         BIGINT           NOT NULL,
    [JobTitle]                                   NVARCHAR (200)   NOT NULL,
    [CreatedBy]                                  BIGINT           NOT NULL,
    [UpdatedBy]                                  BIGINT           NOT NULL,
    [ApprovalStatus]                             INT              NOT NULL,
    [JobStatus]                                  INT              NOT NULL,
    [MinSalary]                                  DECIMAL (24, 18) NULL,
    [MaxSalary]                                  DECIMAL (24, 18) NULL,
    [SalaryFrequencyId]                          BIGINT           NULL,
    [HoursPerWeek]                               DECIMAL (24, 18) NULL,
    [OverTimeRequired]                           BIT              NULL,
    [ClosingOn]                                  DATETIME         NULL,
    [NumberOfOpenings]                           INT              NULL,
    [PostedOn]                                   DATETIME         NULL,
    [PostedBy]                                   BIGINT           NULL,
    [Description]                                NVARCHAR (MAX)   NULL,
    [PostingHtml]                                NVARCHAR (MAX)   NULL,
    [EmployerDescriptionPostingPosition]         INT              NOT NULL,
    [WizardStep]                                 INT              NOT NULL,
    [WizardPath]                                 INT              NOT NULL,
    [HeldOn]                                     DATETIME         NULL,
    [HeldBy]                                     BIGINT           NULL,
    [ClosedOn]                                   DATETIME         NULL,
    [ClosedBy]                                   BIGINT           NULL,
    [JobLocationType]                            INT              NULL,
    [FederalContractor]                          BIT              NULL,
    [ForeignLabourCertification]                 BIT              NULL,
    [CourtOrderedAffirmativeAction]              BIT              NULL,
    [FederalContractorExpiresOn]                 DATETIME         NULL,
    [WorkOpportunitiesTaxCreditHires]            INT              NULL,
    [PostingFlags]                               INT              NULL,
    [IsCommissionBased]                          BIT              NULL,
    [NormalWorkDays]                             INT              NULL,
    [WorkDaysVary]                               BIT              NULL,
    [NormalWorkShiftsId]                         BIGINT           NULL,
    [LeaveBenefits]                              INT              NULL,
    [RetirementBenefits]                         INT              NULL,
    [InsuranceBenefits]                          INT              NULL,
    [MiscellaneousBenefits]                      INT              NULL,
    [OtherBenefitsDetails]                       NVARCHAR (3000)   NULL,
    [InterviewContactPreferences]                INT              NULL,
    [InterviewEmailAddress]                      NVARCHAR (200)   NULL,
    [InterviewApplicationUrl]                    NVARCHAR (4000)   NULL,
    [InterviewMailAddress]                       NVARCHAR (500)   NULL,
    [InterviewFaxNumber]                         NVARCHAR (20)    NULL,
    [InterviewPhoneNumber]                       NVARCHAR (20)    NULL,
    [InterviewDirectApplicationDetails]          NVARCHAR (2000)   NULL,
    [InterviewOtherInstructions]                 NVARCHAR (MAX)  NULL,
    [ScreeningPreferences]                       INT              NULL,
    [MinimumEducationLevel]                      INT              NULL,
    [MinimumEducationLevelRequired]              BIT              NULL,
    [MinimumAge]                                 INT              NULL,
    [MinimumAgeReason]                           NVARCHAR (500)   NULL,
    [MinimumAgeRequired]                         BIT              NULL,
    [LicencesRequired]                           BIT              NULL,
    [CertificationRequired]                      BIT              NULL,
    [LanguagesRequired]                          BIT              NULL,
    [Tasks]                                      NVARCHAR (MAX)   NULL,
    [RedProfanityWords]                          NVARCHAR (1000)  NULL,
    [YellowProfanityWords]                       NVARCHAR (1000)  NULL,
    [EmploymentStatusId]                         BIGINT           NULL,
    [JobTypeId]                                  BIGINT           NULL,
    [JobStatusId]                                BIGINT           NULL,
    [ApprovedOn]                                 DATETIME         NULL,
    [ApprovedBy]                                 BIGINT           NULL,
    [ExternalId]                                 NVARCHAR (36)    NULL,
    [AwaitingApprovalOn]                         DATETIME         NULL,
    [MinimumExperience]                          INT              NULL,
    [MinimumExperienceMonths]                    INT              NULL,
    [MinimumExperienceRequired]                  BIT              NULL,
    [DrivingLicenceClassId]                      BIGINT           NULL,
    [DrivingLicenceRequired]                     BIT              NULL,
    [HideSalaryOnPosting]                        BIT              NULL,
    [ForeignLabourCertificationH2A]              BIT              NULL,
    [ForeignLabourCertificationH2B]              BIT              NULL,
    [ForeignLabourCertificationOther]            BIT              NULL,
    [HiringFromTaxCreditProgramNotificationSent] BIT              NULL,
    [IsConfidential]                             BIT              NULL,
    [HasCheckedCriminalRecordExclusion]          BIT              NOT NULL,
    [LastPostedOn]                               DATETIME         NULL,
    [LastRefreshedOn]                            DATETIME         NULL,
    [MinimumAgeReasonValue]                      INT              NULL,
    [OtherSalary]                                NVARCHAR (4000)  NULL,
    [HideOpeningsOnPosting]                      BIT              NULL,
    [StudentEnrolled]                            BIT              NULL,
    [MinimumCollegeYears]                        INT              NULL,
    [CreatedOn]                                  DATETIME         NOT NULL,
    [UpdatedOn]                                  DATETIME         NOT NULL,
    [LockVersion]                                INT              NOT NULL,
    [BusinessUnitId]                             BIGINT           NULL,
    [EmployeeId]                                 BIGINT           NULL,
    [EmployerId]                                 BIGINT           NOT NULL,
    [BusinessUnitDescriptionId]                  BIGINT           NULL,
    [BusinessUnitLogoId]                         BIGINT           NULL,
    [ProgramsOfStudyRequired]                    BIT              NULL,
    [StartDate]                                  DATETIME         NULL,
    [EndDate]                                    DATETIME         NULL,
    [JobType]                                    INT              NOT NULL,
    [OnetId]                                     BIGINT           NULL,
    [HideEducationOnPosting]                     BIT              NOT NULL,
    [HideExperienceOnPosting]                    BIT              NOT NULL,
    [HideMinimumAgeOnPosting]                    BIT              NOT NULL,
    [HideProgramOfStudyOnPosting]                BIT              NOT NULL,
    [HideDriversLicenceOnPosting]                BIT              NOT NULL,
    [HideLicencesOnPosting]                      BIT              NOT NULL,
    [HideCertificationsOnPosting]                BIT              NOT NULL,
    [HideLanguagesOnPosting]                     BIT              NOT NULL,
    [HideSpecialRequirementsOnPosting]           BIT              NOT NULL,
    [HideWorkWeekOnPosting]                      BIT              NOT NULL,
    [DescriptionPath]                            INT              NULL,
    [WorkWeekId]                                 BIGINT           NULL,
    [AssignedToId]                               BIGINT           NULL,
    [CriminalBackgroundExclusionRequired]        BIT              NULL,
    [ROnetId]                                    BIGINT           NULL,
    [IsSalaryAndCommissionBased]                 BIT              NULL,
    [VeteranPriorityEndDate]                     DATETIME         NULL,
    [MeetsMinimumWageRequirement]                BIT              NOT NULL,
    [MinimumHoursPerWeek]                        DECIMAL (24, 18) NULL,
    [PreScreeningServiceRequest]                 BIT              NULL,
    [SuitableForHomeWorker]                      BIT              NULL,
    [HideCareerReadinessOnPosting]               BIT              NOT NULL,
    [CareerReadinessLevelRequired]               BIT              NULL,
    [CareerReadinessLevel]                       BIGINT           NULL,
    [ExtendVeteranPriority]                      INT              NULL,
    [ClosingOnUpdated]                           BIT              NULL,
    [UploadIndicator]                            BIT              NOT NULL,
    [Location]                                   NVARCHAR (255)   NULL,
    [CreditCheckRequired]                        BIT              NOT NULL,
    [DisplayBenefits]                            BIT              NOT NULL,
		[AwaitingApprovalActionedBy]								 BIGINT						NULL
);





